# PLDAPSession::BinaryModAttrib Class Reference

`#include <pldap.h>`

Inheritance diagram for PLDAPSession::BinaryModAttrib:

List of all members.

## Public Member Functions

| BinaryModAttrib (const PString &name, Operation op=Add)
| BinaryModAttrib (const PString &name, const PBYTEArray &value, Operation op=Add)
| BinaryModAttrib (const PString &name, const PArray< PBYTEArray > &values, Operation op=Add)
void | SetValue (const PBYTEArray &value)
void | AddValue (const PBYTEArray &value)

## Protected Member Functions

virtual PBoolean | IsBinary () const
virtual void | SetLDAPModVars (struct ldapmod &mod)

## Protected Attributes

PArray< PBYTEArray > | values
PBaseArray< struct berval * > | pointers
PBYTEArray | bervals

## Constructor & Destructor Documentation

PLDAPSession::BinaryModAttrib::BinaryModAttrib | ( | const PString & | name,
|  | Operation | op = `Add` |
| ) |  |  |

PLDAPSession::BinaryModAttrib::BinaryModAttrib | ( | const PString & | name,
|  | const PBYTEArray & | value,
|  | Operation | op = `Add` |
| ) |  |  |

PLDAPSession::BinaryModAttrib::BinaryModAttrib | ( | const PString & | name,
|  | const PArray< PBYTEArray > & | values,
|  | Operation | op = `Add` |
| ) |  |  |

## Member Function Documentation

void PLDAPSession::BinaryModAttrib::AddValue | ( | const PBYTEArray & | value | ) |

virtual PBoolean PLDAPSession::BinaryModAttrib::IsBinary | ( |  | ) | const`[protected, virtual]`

Implements PLDAPSession::ModAttrib.

virtual void PLDAPSession::BinaryModAttrib::SetLDAPModVars | ( | struct ldapmod & | mod | ) | `[protected, virtual]`

Implements PLDAPSession::ModAttrib.

void PLDAPSession::BinaryModAttrib::SetValue | ( | const PBYTEArray & | value | ) |

## Member Data Documentation

PBYTEArray PLDAPSession::BinaryModAttrib::bervals `[protected]`

PBaseArray<struct berval *> PLDAPSession::BinaryModAttrib::pointers `[protected]`

PArray<PBYTEArray> PLDAPSession::BinaryModAttrib::values `[protected]`

The documentation for this class was generated from the following file:

- pldap.h